/*
 * libexplain - Explain errno values returned by libc functions
 * Copyright (C) 2008-2010 Peter Miller
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include <libexplain/ac/sys/socket.h>

#include <libexplain/accept.h>
#include <libexplain/output.h>


int
explain_accept_or_die(int fildes, struct sockaddr *sock_addr,
    socklen_t *sock_addr_size)
{
    int             result;

    result = explain_accept_on_error(fildes, sock_addr, sock_addr_size);
    if (result < 0)
    {
        explain_output_exit_failure();
    }
    return result;
}
