/*
 * libexplain - Explain errno values returned by libc functions
 * Copyright (C) 2010, 2011 Peter Miller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIBEXPLAIN_IOCONTROL_SIOCSCCINI_H
#define LIBEXPLAIN_IOCONTROL_SIOCSCCINI_H

#include <libexplain/iocontrol.h>

/**
  * The explain_iocontrol_siocsccini global variable is
  * used to store information about the SIOCSCCINI
  * I/O control.
  *
  * @note
  *     This information is not kept in a single table for all values,
  *     like every other set of constants, because (a) some values
  *     are ambiguous, and (b) the includes files have bugs making it
  *     impossible to include all of them in the same compilation unit.
  */
extern const explain_iocontrol_t explain_iocontrol_siocsccini;

#endif /* LIBEXPLAIN_IOCONTROL_SIOCSCCINI_H */
